<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html" doctype-public="-//W3C//DTD HTML 4.0 Transitional//EN" encoding="UTF-8" omit-xml-declaration="yes"/>
  <xsl:template match="/errs">
    <!-- width of 652 is hard wired into SEC web site -->
    <xsl:variable name="width">652</xsl:variable>
    <xsl:variable name="left">220</xsl:variable>
    <xsl:variable name="right">70</xsl:variable>
    <xsl:variable name="middle" select="number($width) - number($left) - number($right)"/>
    <!-- for some bizarre reason these properties are not inherited from body to table. -->
    <xsl:variable name="size">font-size: 9pt;</xsl:variable>
    <xsl:variable name="family">font-family: Verdana, Arial, Helvetica;</xsl:variable>
    <xsl:variable name="title">EDGAR XBRL Validation Errors</xsl:variable>
    <xsl:variable name="date">2014-07-29</xsl:variable>
    <html lang="ENG">
      <head>
        <title><xsl:value-of select="$title"/></title>
        <meta name="keywords" content="EDGAR, taxonomies, XBRL"/>
        <meta name="description"
          content="{$title}"/>
        <meta name="rating" content="General"/>
        <meta name="date.modified" content="{substring-before($date,'T')}"/>
        <!--        <link rel="stylesheet" type="text/css" href="/include/aqtree3clickable.css"/>
        <link rel="stylesheet" type="text/css" href="/include/xbrl.css"/>
        <script language="JavaScript" src="/include/sec.js"/>
        <script language="JavaScript" src="/include/aqtree3clickable.js"/>-->
      </head>
      <body topmargin="0" leftmargin="0" marginwidth="0" marginheight="0" bgcolor="white">
        <!--        <xsl:comment> BEGIN HEADER </xsl:comment>
        <xsl:text>
</xsl:text>
        <!-\- Header doesn't have balanced tags -\->        
        <!-\- and you must not have a space before the # here. -\->
        <xsl:comment>#include virtual="/include/header/xbrlheader.htm" </xsl:comment>
        <xsl:text>
</xsl:text>
        <xsl:comment> END HEADER </xsl:comment>
        <xsl:text>
</xsl:text>
        <xsl:comment> BEGIN TEXT </xsl:comment>
        <xsl:text>
</xsl:text>-->
        <h2><xsl:value-of select="$title"/></h2>
        <table width="{$width}" border="1" cellspacing="0" cellpadding="0" bgcolor="white" style="border-collapse:collapse; {$family} {$size}">
          <tr align="center">
            <td width="{$left}">
              <strong>Message ID</strong>
            </td>
            <td width="{$middle}">
              <strong>Message</strong>
            </td>
            <td width="{$right}">
              <strong>Subsection</strong>
            </td>
          </tr>
        </table>
        <xsl:for-each select="err">
          <!-- anchors only work at top level, hence the strange structure of this page. -->
          <a name="{name}" id="{name}"/>
          <table width="{$width}" border="1" cellspacing="0" cellpadding="2" bgcolor="white" style="border-collapse:collapse; {$family} {$size}">
            <tr align="left" valign="top">
              <td width="{$left}">
                <xsl:value-of select="name"/>
              </td>
              <td width="{$middle}">
                <xsl:copy-of select="text/node()"/>
              </td>
              <td width="{$right}" align="center">
                <xsl:value-of select="num"/>
              </td>
            </tr>
          </table>
        </xsl:for-each>
        <p>&#160;</p>
        <p>
          <i>http://www.sec.gov/info/edgar/xbrlwarnings.htm</i>
          <BR/><xsl:text> 
</xsl:text>
          <!--          <xsl:comment> BEGIN FOOTER </xsl:comment><xsl:text>
</xsl:text>          
          <!-\- and you must not have a space before the # here. -\->
          <xsl:comment>#include virtual="/include/footer/footer.htm" </xsl:comment><xsl:text>
</xsl:text>
          <xsl:comment> auto date script </xsl:comment><xsl:text>
</xsl:text>
          <xsl:comment>#config timefmt="%m/%d/%Y" </xsl:comment><xsl:text>
</xsl:text>
          <xsl:comment>#flastmod virtual="/info/edgar/xbrlwarnings.shtml" </xsl:comment><xsl:text>
</xsl:text> XXXX--> </p>
        <!-- Footer doesn't have balanced tags either -->
      </body>
      </html>
  </xsl:template>
</xsl:stylesheet>
